Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Identity and Access Management
KZ
  • Безопасное использование Yandex Cloud
  • Управление доступом
  • Правила тарификации
  • Справочник ролей
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Create
        • CreateForServiceAccount
        • Revoke
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Body parameters
  • Response
  1. Справочник API
  2. REST (англ.)
  3. IamToken
  4. Create

Identity and Access Management API, REST: IamToken.Create

Статья создана
Yandex Cloud
Обновлена 27 мая 2026 г.
Открыть в Markdown
  • HTTP request
  • Body parameters
  • Response

Create an IAM token for the specified identity.

HTTP requestHTTP request

POST https://iam.api.yandexcloud.kz/iam/v1/tokens

Body parametersBody parameters

{
  // Includes only one of the fields `yandexPassportOauthToken`, `jwt`
  "yandexPassportOauthToken": "string",
  "jwt": "string"
  // end of the list of possible fields
}

Field

Description

yandexPassportOauthToken

string

OAuth token for a Yandex account.
For more information, see OAuth token.

The maximum string length in characters is 4000.

Includes only one of the fields yandexPassportOauthToken, jwt.

jwt

string

JSON Web Token (JWT) for a service account.
For more information, see Get IAM token for a service account.

The maximum string length in characters is 8000.

Includes only one of the fields yandexPassportOauthToken, jwt.

ResponseResponse

HTTP Code: 200 - OK

{
  "iamToken": "string",
  "expiresAt": "string"
}

Field

Description

iamToken

string

IAM token for the specified identity.
You should pass the token in the Authorization header for any further API requests.
For example, Authorization: Bearer iamToken``.

expiresAt

string (date-time)

IAM token expiration time.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Была ли статья полезна?

Предыдущая
Overview
Следующая
CreateForServiceAccount
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»